## WebKitDOMMouseEvent WebKitDOMMouseEvent |

## Functions

void | webkit_dom_mouse_event_init_mouse_event ()
glong | webkit_dom_mouse_event_get_screen_x ()
glong | webkit_dom_mouse_event_get_screen_y ()
glong | webkit_dom_mouse_event_get_client_x ()
glong | webkit_dom_mouse_event_get_client_y ()
gboolean | webkit_dom_mouse_event_get_ctrl_key ()
gboolean | webkit_dom_mouse_event_get_shift_key ()
gboolean | webkit_dom_mouse_event_get_alt_key ()
gboolean | webkit_dom_mouse_event_get_meta_key ()
gushort | webkit_dom_mouse_event_get_button ()
WebKitDOMEventTarget * | webkit_dom_mouse_event_get_related_target ()
glong | webkit_dom_mouse_event_get_offset_x ()
glong | webkit_dom_mouse_event_get_offset_y ()
glong | webkit_dom_mouse_event_get_x ()
glong | webkit_dom_mouse_event_get_y ()
WebKitDOMNode * | webkit_dom_mouse_event_get_from_element ()
WebKitDOMNode * | webkit_dom_mouse_event_get_to_element ()

## Properties

gboolean | alt-key | Read
guint | button | Read
glong | client-x | Read
glong | client-y | Read
gboolean | ctrl-key | Read
WebKitDOMNode * | from-element | Read
gboolean | meta-key | Read
glong | offset-x | Read
glong | offset-y | Read
WebKitDOMEventTarget * | related-target | Read
glong | screen-x | Read
glong | screen-y | Read
gboolean | shift-key | Read
WebKitDOMNode * | to-element | Read
glong | x | Read
glong | y | Read

## Types and Values

struct | WebKitDOMMouseEvent

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMEvent
                ╰── WebKitDOMUIEvent
                    ╰── WebKitDOMMouseEvent
                        ╰── WebKitDOMWheelEvent

## Description

## Functions

### webkit_dom_mouse_event_init_mouse_event ()

    void
    webkit_dom_mouse_event_init_mouse_event
                                   (WebKitDOMMouseEvent *self,
                                    const gchar *type,
                                    gboolean canBubble,
                                    gboolean cancelable,
                                    WebKitDOMDOMWindow *view,
                                    glong detail,
                                    glong screenX,
                                    glong screenY,
                                    glong clientX,
                                    glong clientY,
                                    gboolean ctrlKey,
                                    gboolean altKey,
                                    gboolean shiftKey,
                                    gboolean metaKey,
                                    gushort button,
                                    WebKitDOMEventTarget *relatedTarget);

`webkit_dom_mouse_event_init_mouse_event` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |
type | A gchar |
canBubble | A gboolean |
cancelable | A gboolean |
view | A WebKitDOMDOMWindow |
detail | A glong |
screenX | A glong |
screenY | A glong |
clientX | A glong |
clientY | A glong |
ctrlKey | A gboolean |
altKey | A gboolean |
shiftKey | A gboolean |
metaKey | A gboolean |
button | A gushort |
relatedTarget | A WebKitDOMEventTarget |

### webkit_dom_mouse_event_get_screen_x ()

    glong
    webkit_dom_mouse_event_get_screen_x (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_screen_x` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A glong

### webkit_dom_mouse_event_get_screen_y ()

    glong
    webkit_dom_mouse_event_get_screen_y (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_screen_y` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A glong

### webkit_dom_mouse_event_get_client_x ()

    glong
    webkit_dom_mouse_event_get_client_x (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_client_x` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A glong

### webkit_dom_mouse_event_get_client_y ()

    glong
    webkit_dom_mouse_event_get_client_y (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_client_y` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A glong

### webkit_dom_mouse_event_get_ctrl_key ()

    gboolean
    webkit_dom_mouse_event_get_ctrl_key (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_ctrl_key` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A gboolean

### webkit_dom_mouse_event_get_shift_key ()

    gboolean
    webkit_dom_mouse_event_get_shift_key (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_shift_key` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A gboolean

### webkit_dom_mouse_event_get_alt_key ()

    gboolean
    webkit_dom_mouse_event_get_alt_key (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_alt_key` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A gboolean

### webkit_dom_mouse_event_get_meta_key ()

    gboolean
    webkit_dom_mouse_event_get_meta_key (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_meta_key` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A gboolean

### webkit_dom_mouse_event_get_button ()

    gushort
    webkit_dom_mouse_event_get_button (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_button` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A gushort

### webkit_dom_mouse_event_get_related_target ()

    WebKitDOMEventTarget *
    webkit_dom_mouse_event_get_related_target
                                   (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_related_target` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A WebKitDOMEventTarget.

[transfer full]

### webkit_dom_mouse_event_get_offset_x ()

    glong
    webkit_dom_mouse_event_get_offset_x (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_offset_x` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A glong

### webkit_dom_mouse_event_get_offset_y ()

    glong
    webkit_dom_mouse_event_get_offset_y (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_offset_y` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A glong

### webkit_dom_mouse_event_get_x ()

    glong
    webkit_dom_mouse_event_get_x (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_x` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A glong

### webkit_dom_mouse_event_get_y ()

    glong
    webkit_dom_mouse_event_get_y (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_y` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A glong

### webkit_dom_mouse_event_get_from_element ()

    WebKitDOMNode *
    webkit_dom_mouse_event_get_from_element
                                   (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_from_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_mouse_event_get_to_element ()

    WebKitDOMNode *
    webkit_dom_mouse_event_get_to_element (WebKitDOMMouseEvent *self);

`webkit_dom_mouse_event_get_to_element` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMMouseEvent |

#### Returns

A WebKitDOMNode.

[transfer none]

## Types and Values

### struct WebKitDOMMouseEvent

    struct WebKitDOMMouseEvent;

## Property Details

### The `“alt-key”` property

      “alt-key”                  gboolean

read-only gboolean MouseEvent:alt-key.

Flags: Read

Default value: FALSE

### The `“button”` property

      “button”                   guint

read-only gushort MouseEvent:button.

Flags: Read

Default value: 0

### The `“client-x”` property

      “client-x”                 glong

read-only glong MouseEvent:client-x.

Flags: Read

Default value: 0

### The `“client-y”` property

      “client-y”                 glong

read-only glong MouseEvent:client-y.

Flags: Read

Default value: 0

### The `“ctrl-key”` property

      “ctrl-key”                 gboolean

read-only gboolean MouseEvent:ctrl-key.

Flags: Read

Default value: FALSE

### The `“from-element”` property

      “from-element”             WebKitDOMNode *

read-only WebKitDOMNode* MouseEvent:from-element.

Flags: Read

### The `“meta-key”` property

      “meta-key”                 gboolean

read-only gboolean MouseEvent:meta-key.

Flags: Read

Default value: FALSE

### The `“offset-x”` property

      “offset-x”                 glong

read-only glong MouseEvent:offset-x.

Flags: Read

Default value: 0

### The `“offset-y”` property

      “offset-y”                 glong

read-only glong MouseEvent:offset-y.

Flags: Read

Default value: 0

### The `“related-target”` property

      “related-target”           WebKitDOMEventTarget *

read-only WebKitDOMEventTarget* MouseEvent:related-target.

Flags: Read

### The `“screen-x”` property

      “screen-x”                 glong

read-only glong MouseEvent:screen-x.

Flags: Read

Default value: 0

### The `“screen-y”` property

      “screen-y”                 glong

read-only glong MouseEvent:screen-y.

Flags: Read

Default value: 0

### The `“shift-key”` property

      “shift-key”                gboolean

read-only gboolean MouseEvent:shift-key.

Flags: Read

Default value: FALSE

### The `“to-element”` property

      “to-element”               WebKitDOMNode *

read-only WebKitDOMNode* MouseEvent:to-element.

Flags: Read

### The `“x”` property

      “x”                        glong

read-only glong MouseEvent:x.

Flags: Read

Default value: 0

### The `“y”` property

      “y”                        glong

read-only glong MouseEvent:y.

Flags: Read

Default value: 0